{{ partialCached "utils/css.html" (dict "context" . "filefolder" "objects" "filename" "toc") }}
<details class="toc |{{ with $.Params.icon }} mt-4{{ end }}" @resize.window="isExpanded = window.innerWidth >= 1280" :open="isExpanded">
	<summary class="uppercase tracking-wide text-mitigate select-none">Table des matières</summary>
	<div class="text-mitigate">
	{{- if and (or (in .RawContent "##") (in .RawContent "###")) (gt .WordCount 200 ) -}}
		{{- .TableOfContents -}}
	{{- else if .Params.blocks -}}
		{{- if gt (len .Params.blocks) 1 -}}
		<nav id="TableOfContents" role="navigation">
			<ul>
			{{- range .Params.blocks -}}
				{{- with .title }}
				<li><a href="#{{ trim ( . | urlize) "-" }}">{{ . }}</a></li>
				{{- end -}}
			{{- end -}}
			</ul>
		</nav>
		{{- end -}}
	{{- end -}}
	</div>
</details>
